Perform the Accept or Decline action for one or more Tenders
post
/custom-actions/acceptDecline/tenders/
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest parameters for the accept or decline action.
Show Source
-
acceptanceCode(required): string
Acceptance code A for Accept action and D for Decline action
-
bidAmount:
bidAmount
Bid amount provided by the service provider when accepting the broadcast tender
-
conditionalSpotBids: object
conditionalSpotBids
Optional conditional spot bids for the tender.
-
declineReasonCode: string
Reason for declining the tender
-
isRetender: boolean
Retender to the another service provider when declining the tender
-
pks: array
pks
Pass the collab ID(s) pks to perform decline tender for one or more records when the collad ID is not passed in the URL.
-
remarks: object
remarks
Remarks to be added when accepting single shipment group tender.
-
servprovGid: string
Service provider ID when accepting/declining the broadcast tender
Nested Schema : bidAmount
Bid amount provided by the service provider when accepting the broadcast tender
Match All
Bid amount provided by the service provider when accepting the broadcast tender
Show Source
Nested Schema : conditionalSpotBids
Type:
objectOptional conditional spot bids for the tender.
Show Source
Nested Schema : pks
Type:
arrayPass the collab ID(s) pks to perform decline tender for one or more records when the collad ID is not passed in the URL.
Show Source
Nested Schema : remarks
Type:
objectRemarks to be added when accepting single shipment group tender.
Show Source
Nested Schema : currencyType
Type:
Show Source
object-
currency: string
ISO 4217 currency code
-
value: number
Numeric value that specifies a currency
Nested Schema : items
Type:
Show Source
object-
bidAmount:
bidAmount
Bid amount provided by the service provider
-
bidComment: string
Stores the user comments for each bid.
-
destLocationGid: string
The destination location of the shipment.
-
dropoffTime: string
(date-time)
The delivery date/time of the shipment in ISO format.
-
flightInstanceId: integer
Flight Instance ID
-
isDirect: boolean
Flag to indicate if the proposed flight is direct or not.
-
pickupTime: string
(date-time)
The pickup date/time of the shipment in ISO format.
-
sourceLocationGid: string
The source location of the shipment.
-
spotRateGid: string
Spot Rate Id
-
tag1: string
Stores information.
-
tag2: string
Stores information.
-
tag3: string
Stores information.
-
transitTime: string
The transit time for the shipment.
-
transportModeGid: string
The transport mode of the shipment.
Nested Schema : bidAmount
Bid amount provided by the service provider
Match All
Bid amount provided by the service provider
Show Source
Nested Schema : items
Type:
Show Source
object-
remarkQual(required): string
Remark Qualifier GID
-
remarkText(required): string
Remark Text
Response
Supported Media Types
- application/json
200 Response
Success! A successful POST method returns a 200 status code.
Root Schema : acceptDeclineResponse
Type:
objectResponse after accept or decline the tender.
Show Source
-
items: array
items
Accepte or Decline response for tender.
Nested Schema : acceptDeclineResultItem
Type:
Show Source
object-
domainName: string
Domain Name
-
endTime:
endTime
End Time
-
rateOffering: string
Rate Offering
-
serviceProviderID: string
Service Provider ID
-
shipmentPk: string
Pk of the shipment
-
startTime:
startTime
Start Time
-
totalActualCost:
totalActualCost
Total Actual Cost
-
totalWeightedCost:
totalWeightedCost
Total Weighted Cost
Nested Schema : dateTimeType
Type:
Show Source
object-
timezone: string
Timezone in Olson database format
-
value: string
(date-time)
Date in ISO 8601 format
Nested Schema : currencyType
Type:
Show Source
object-
currency: string
ISO 4217 currency code
-
value: number
Numeric value that specifies a currency
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.